using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

using Org.Shokai.Util;

namespace JavaScriptBrowser
{
    public partial class Form1 : Form
    {
        JavaScriptConnector js;

        public Form1()
        {
            InitializeComponent();
            webBrowser.Url = new Uri(textBoxUri.Text);
            js = new JavaScriptConnector(webBrowser);
        }

        private void buttonGo_Click(object sender, EventArgs e)
        {
            webBrowser.Url = new Uri(textBoxUri.Text);
        }

        private void webBrowser_FileDownload(object sender, EventArgs e)
        {
            textBoxUri.Text = webBrowser.Url.ToString();
        }

        private void webBrowser_DocumentCompleted(object sender, WebBrowserDocumentCompletedEventArgs e)
        {
            textBoxUri.Text = webBrowser.Url.ToString();
        }

        private void textBoxUri_KeyDown(object sender, KeyEventArgs e)
        {
            if (e.KeyCode == Keys.Enter)
            {
                webBrowser.Url = new Uri(textBoxUri.Text);
            }
        }

        #region JavaScript Controll
        private void buttonRunScript_Click(object sender, EventArgs e)
        {
            js.runScript(textBoxScript.Text);
        }

        private void buttonClearScript_Click(object sender, EventArgs e)
        {
            textBoxScript.Text = "";
        }
        #endregion

        private void buttonScriptSrc_Click(object sender, EventArgs e)
        {
            js.loadScript(new Uri(textBoxScriptSrc.Text));
        }

    }
}