using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace SimpleWebBrowser
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            webBrowser.Url = new Uri(textBoxUri.Text);
        }

        private void buttonFullScreen_Click(object sender, EventArgs e)
        {
            if (WindowState != FormWindowState.Maximized) // ő剻
            {
                FormBorderStyle = FormBorderStyle.None;
                WindowState = FormWindowState.Maximized;
                panel1.Visible = false;
                webBrowser.ScrollBarsEnabled = false;
            }
            else // ŏ
            {
                FormBorderStyle = FormBorderStyle.Sizable;
                WindowState = FormWindowState.Normal;
                panel1.Visible = true;
                webBrowser.ScrollBarsEnabled = true;
            }
        }

        private void buttonGo_Click(object sender, EventArgs e)
        {
            webBrowser.Url = new Uri(textBoxUri.Text);
        }

        private void webBrowser_FileDownload(object sender, EventArgs e)
        {
            textBoxUri.Text = webBrowser.Url.ToString();
        }

        private void webBrowser_DocumentCompleted(object sender, WebBrowserDocumentCompletedEventArgs e)
        {
            textBoxUri.Text = webBrowser.Url.ToString();
        }

        private void textBoxUri_KeyDown(object sender, KeyEventArgs e)
        {
            if (e.KeyCode == Keys.Enter)
            {
                webBrowser.Url = new Uri(textBoxUri.Text);
            }
        }
    }
}